diff --speed-large-files --minimal -Nru tmp/netqmail-1.06/hier.c~ work/netqmail-1.06/hier.c~
--- tmp/netqmail-1.06/hier.c~	1969-12-31 18:00:00.000000000 -0600
+++ work/netqmail-1.06/hier.c~	2016-05-06 14:30:29.000000000 -0500
@@ -0,0 +1,255 @@
+#include "auto_qmail.h"
+#include "auto_split.h"
+#include "auto_uids.h"
+#include "fmt.h"
+#include "fifo.h"
+
+char buf[100 + FMT_ULONG];
+
+void dsplit(base,uid,mode)
+char *base; /* must be under 100 bytes */
+int uid;
+int mode;
+{
+  char *x;
+  unsigned long i;
+
+  d(auto_qmail,base,uid,auto_gidq,mode);
+
+  for (i = 0;i < auto_split;++i) {
+    x = buf;
+    x += fmt_str(x,base);
+    x += fmt_str(x,"/");
+    x += fmt_ulong(x,i);
+    *x = 0;
+
+    d(auto_qmail,buf,uid,auto_gidq,mode);
+  }
+}
+
+void hier()
+{
+  h(auto_qmail,auto_uido,auto_gidq,0755);
+
+  d(auto_qmail,"control",auto_uido,auto_gidq,0755);
+  d(auto_qmail,"users",auto_uido,auto_gidq,0755);
+  d(auto_qmail,"bin",auto_uido,auto_gidq,0755);
+  d(auto_qmail,"boot",auto_uido,auto_gidq,0755);
+  d(auto_qmail,"doc",auto_uido,auto_gidq,0755);
+  d(auto_qmail,"man",auto_uido,auto_gidq,0755);
+  d(auto_qmail,"man/cat1",auto_uido,auto_gidq,0755);
+  d(auto_qmail,"man/cat5",auto_uido,auto_gidq,0755);
+  d(auto_qmail,"man/cat7",auto_uido,auto_gidq,0755);
+  d(auto_qmail,"man/cat8",auto_uido,auto_gidq,0755);
+  d(auto_qmail,"man/man1",auto_uido,auto_gidq,0755);
+  d(auto_qmail,"man/man5",auto_uido,auto_gidq,0755);
+  d(auto_qmail,"man/man7",auto_uido,auto_gidq,0755);
+  d(auto_qmail,"man/man8",auto_uido,auto_gidq,0755);
+
+  d(auto_qmail,"alias",auto_uida,auto_gidq,02755);
+
+  d(auto_qmail,"queue",auto_uidq,auto_gidq,0750);
+  d(auto_qmail,"queue/pid",auto_uidq,auto_gidq,0700);
+  d(auto_qmail,"queue/intd",auto_uidq,auto_gidq,0700);
+  d(auto_qmail,"queue/todo",auto_uidq,auto_gidq,0750);
+  d(auto_qmail,"queue/bounce",auto_uids,auto_gidq,0700);
+
+  dsplit("queue/mess",auto_uidq,0750);
+  dsplit("queue/info",auto_uids,0700);
+  dsplit("queue/local",auto_uids,0700);
+  dsplit("queue/remote",auto_uids,0700);
+
+  d(auto_qmail,"queue/lock",auto_uidq,auto_gidq,0750);
+  z(auto_qmail,"queue/lock/tcpto",1024,auto_uidr,auto_gidq,0644);
+  z(auto_qmail,"queue/lock/sendmutex",0,auto_uids,auto_gidq,0600);
+  p(auto_qmail,"queue/lock/trigger",auto_uids,auto_gidq,0622);
+
+  c(auto_qmail,"boot","home",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"boot","home+df",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"boot","proc",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"boot","proc+df",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"boot","binm1",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"boot","binm1+df",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"boot","binm2",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"boot","binm2+df",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"boot","binm3",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"boot","binm3+df",auto_uido,auto_gidq,0755);
+
+  c(auto_qmail,"doc","FAQ",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"doc","UPGRADE",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"doc","SENDMAIL",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"doc","INSTALL",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"doc","INSTALL.alias",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"doc","INSTALL.ctl",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"doc","INSTALL.ids",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"doc","INSTALL.maildir",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"doc","INSTALL.mbox",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"doc","INSTALL.vsm",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"doc","TEST.deliver",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"doc","TEST.receive",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"doc","REMOVE.sendmail",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"doc","REMOVE.binmail",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"doc","PIC.local2alias",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"doc","PIC.local2ext",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"doc","PIC.local2local",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"doc","PIC.local2rem",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"doc","PIC.local2virt",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"doc","PIC.nullclient",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"doc","PIC.relaybad",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"doc","PIC.relaygood",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"doc","PIC.rem2local",auto_uido,auto_gidq,0644);
+
+  c(auto_qmail,"bin","qmail-queue",auto_uidq,auto_gidq,04711);
+  c(auto_qmail,"bin","qmail-lspawn",auto_uido,auto_gidq,0700);
+  c(auto_qmail,"bin","qmail-start",auto_uido,auto_gidq,0700);
+  c(auto_qmail,"bin","qmail-getpw",auto_uido,auto_gidq,0711);
+  c(auto_qmail,"bin","qmail-local",auto_uido,auto_gidq,0711);
+  c(auto_qmail,"bin","qmail-remote",auto_uido,auto_gidq,0711);
+  c(auto_qmail,"bin","qmail-rspawn",auto_uido,auto_gidq,0711);
+  c(auto_qmail,"bin","qmail-clean",auto_uido,auto_gidq,0711);
+  c(auto_qmail,"bin","qmail-send",auto_uido,auto_gidq,0711);
+#ifdef EXTERNAL_TODO
+  c(auto_qmail,"bin","qmail-todo",auto_uido,auto_gidq,0711);
+#endif
+  c(auto_qmail,"bin","splogger",auto_uido,auto_gidq,0711);
+  c(auto_qmail,"bin","qmail-newu",auto_uido,auto_gidq,0700);
+  c(auto_qmail,"bin","qmail-newmrh",auto_uido,auto_gidq,0700);
+  c(auto_qmail,"bin","qmail-pw2u",auto_uido,auto_gidq,0711);
+  c(auto_qmail,"bin","qmail-inject",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"bin","predate",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"bin","datemail",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"bin","mailsubj",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"bin","qmail-showctl",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"bin","qmail-qread",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"bin","qmail-qstat",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"bin","qmail-tcpto",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"bin","qmail-tcpok",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"bin","qmail-pop3d",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"bin","qmail-popup",auto_uido,auto_gidq,0711);
+  c(auto_qmail,"bin","qmail-qmqpc",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"bin","qmail-qmqpd",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"bin","qmail-qmtpd",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"bin","qmail-smtpd",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"bin","sendmail",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"bin","tcp-env",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"bin","qreceipt",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"bin","qsmhook",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"bin","qbiff",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"bin","forward",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"bin","preline",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"bin","condredirect",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"bin","bouncesaying",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"bin","except",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"bin","maildirmake",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"bin","maildir2mbox",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"bin","maildirwatch",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"bin","qail",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"bin","elq",auto_uido,auto_gidq,0755);
+  c(auto_qmail,"bin","pinq",auto_uido,auto_gidq,0755);
+
+  c(auto_qmail,"man/man5","addresses.5",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat5","addresses.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man5","envelopes.5",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat5","envelopes.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man5","maildir.5",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat5","maildir.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man5","mbox.5",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat5","mbox.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man5","dot-qmail.5",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat5","dot-qmail.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man5","qmail-control.5",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat5","qmail-control.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man5","qmail-header.5",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat5","qmail-header.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man5","qmail-log.5",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat5","qmail-log.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man5","qmail-users.5",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat5","qmail-users.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man5","tcp-environ.5",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat5","tcp-environ.0",auto_uido,auto_gidq,0644);
+
+  c(auto_qmail,"man/man7","forgeries.7",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat7","forgeries.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man7","qmail-limits.7",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat7","qmail-limits.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man7","qmail.7",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat7","qmail.0",auto_uido,auto_gidq,0644);
+
+  c(auto_qmail,"man/man1","forward.1",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat1","forward.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man1","condredirect.1",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat1","condredirect.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man1","bouncesaying.1",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat1","bouncesaying.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man1","except.1",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat1","except.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man1","maildirmake.1",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat1","maildirmake.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man1","maildir2mbox.1",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat1","maildir2mbox.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man1","maildirwatch.1",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat1","maildirwatch.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man1","mailsubj.1",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat1","mailsubj.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man1","qreceipt.1",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat1","qreceipt.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man1","qbiff.1",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat1","qbiff.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man1","preline.1",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat1","preline.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man1","tcp-env.1",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat1","tcp-env.0",auto_uido,auto_gidq,0644);
+
+  c(auto_qmail,"man/man8","qmail-local.8",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat8","qmail-local.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man8","qmail-lspawn.8",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat8","qmail-lspawn.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man8","qmail-getpw.8",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat8","qmail-getpw.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man8","qmail-remote.8",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat8","qmail-remote.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man8","qmail-rspawn.8",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat8","qmail-rspawn.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man8","qmail-clean.8",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat8","qmail-clean.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man8","qmail-send.8",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat8","qmail-send.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man8","qmail-start.8",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat8","qmail-start.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man8","splogger.8",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat8","splogger.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man8","qmail-queue.8",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat8","qmail-queue.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man8","qmail-inject.8",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat8","qmail-inject.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man8","qmail-showctl.8",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat8","qmail-showctl.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man8","qmail-newmrh.8",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat8","qmail-newmrh.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man8","qmail-newu.8",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat8","qmail-newu.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man8","qmail-pw2u.8",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat8","qmail-pw2u.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man8","qmail-qread.8",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat8","qmail-qread.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man8","qmail-qstat.8",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat8","qmail-qstat.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man8","qmail-tcpok.8",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat8","qmail-tcpok.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man8","qmail-tcpto.8",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat8","qmail-tcpto.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man8","qmail-pop3d.8",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat8","qmail-pop3d.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man8","qmail-popup.8",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat8","qmail-popup.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man8","qmail-qmqpc.8",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat8","qmail-qmqpc.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man8","qmail-qmqpd.8",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat8","qmail-qmqpd.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man8","qmail-qmtpd.8",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat8","qmail-qmtpd.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man8","qmail-smtpd.8",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat8","qmail-smtpd.0",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/man8","qmail-command.8",auto_uido,auto_gidq,0644);
+  c(auto_qmail,"man/cat8","qmail-command.0",auto_uido,auto_gidq,0644);
+}
diff --speed-large-files --minimal -Nru tmp/netqmail-1.06/hmac_md5.c work/netqmail-1.06/hmac_md5.c
--- tmp/netqmail-1.06/hmac_md5.c	1969-12-31 18:00:00.000000000 -0600
+++ work/netqmail-1.06/hmac_md5.c	2016-05-06 14:30:55.000000000 -0500
@@ -0,0 +1,76 @@
+#include "global.h"
+#include "md5.h"
+
+/*
+** Function: hmac_md5
+*/
+
+void hmac_md5(text, text_len, key, key_len, digest)
+unsigned char*  text;                /* pointer to data stream */
+int             text_len;            /* length of data stream */
+unsigned char*  key;                 /* pointer to authentication key */
+int             key_len;             /* length of authentication key */
+unsigned char   *digest;              /* caller digest to be filled in */
+
+{
+        MD5_CTX context;
+        unsigned char k_ipad[65];    /* inner padding -
+                                      * key XORd with ipad
+                                      */
+        unsigned char k_opad[65];    /* outer padding -
+                                      * key XORd with opad
+                                      */
+        unsigned char tk[16];
+        int i;
+        /* if key is longer than 64 bytes reset it to key=MD5(key) */
+        if (key_len > 64) {
+
+                MD5_CTX      tctx;
+
+                MD5Init(&tctx);
+                MD5Update(&tctx, key, key_len);
+                MD5Final(tk, &tctx);
+
+                key = tk;
+                key_len = 16;
+        }
+
+        /*
+         * the HMAC_MD5 transform looks like:
+         *
+         * MD5(K XOR opad, MD5(K XOR ipad, text))
+         *
+         * where K is an n byte key
+         * ipad is the byte 0x36 repeated 64 times
+         * opad is the byte 0x5c repeated 64 times
+         * and text is the data being protected
+         */
+
+        /* start out by storing key in pads */
+        bzero( k_ipad, sizeof k_ipad);
+        bzero( k_opad, sizeof k_opad);
+        bcopy( key, k_ipad, key_len);
+        bcopy( key, k_opad, key_len);
+
+        /* XOR key with ipad and opad values */
+        for (i=0; i<64; i++) {
+                k_ipad[i] ^= 0x36;
+                k_opad[i] ^= 0x5c;
+        }
+        /*
+         * perform inner MD5
+         */
+        MD5Init(&context);                   /* init context for 1st pass */
+        MD5Update(&context, k_ipad, 64);      /* start with inner pad */
+        MD5Update(&context, text, text_len); /* then text of datagram */
+        MD5Final(digest, &context);          /* finish up 1st pass */
+        /*
+         * perform outer MD5
+         */
+        MD5Init(&context);                   /* init context for 2nd
+                                              * pass */
+        MD5Update(&context, k_opad, 64);     /* start with outer pad */
+        MD5Update(&context, digest, 16);     /* then results of 1st
+                                              * hash */
+        MD5Final(digest, &context);          /* finish up 2nd pass */
+}
diff --speed-large-files --minimal -Nru tmp/netqmail-1.06/hmac_md5.h work/netqmail-1.06/hmac_md5.h
--- tmp/netqmail-1.06/hmac_md5.h	1969-12-31 18:00:00.000000000 -0600
+++ work/netqmail-1.06/hmac_md5.h	2016-05-06 14:30:55.000000000 -0500
@@ -0,0 +1,11 @@
+
+/* prototypes */
+
+void hmac_md5( unsigned char* text, int text_len, unsigned char* key, int key_len, unsigned char* digest);
+
+/* pointer to data stream */
+/* length of data stream */
+/* pointer to authentication key */
+/* length of authentication key */
+/* caller digest to be filled in */
+
diff --speed-large-files --minimal -Nru tmp/netqmail-1.06/install-big.c work/netqmail-1.06/install-big.c
--- tmp/netqmail-1.06/install-big.c	1998-06-15 05:53:16.000000000 -0500
+++ work/netqmail-1.06/install-big.c	2016-05-06 14:30:29.000000000 -0500
@@ -108,6 +108,9 @@
   c(auto_qmail,"bin","qmail-rspawn",auto_uido,auto_gidq,0711);
   c(auto_qmail,"bin","qmail-clean",auto_uido,auto_gidq,0711);
   c(auto_qmail,"bin","qmail-send",auto_uido,auto_gidq,0711);
+#ifdef EXTERNAL_TODO
+  c(auto_qmail,"bin","qmail-todo",auto_uido,auto_gidq,0711);
+#endif
   c(auto_qmail,"bin","splogger",auto_uido,auto_gidq,0711);
   c(auto_qmail,"bin","qmail-newu",auto_uido,auto_gidq,0700);
   c(auto_qmail,"bin","qmail-newmrh",auto_uido,auto_gidq,0700);
diff --speed-large-files --minimal -Nru tmp/netqmail-1.06/ipalloc.h work/netqmail-1.06/ipalloc.h
--- tmp/netqmail-1.06/ipalloc.h	1998-06-15 05:53:16.000000000 -0500
+++ work/netqmail-1.06/ipalloc.h	2016-05-06 14:30:55.000000000 -0500
@@ -3,7 +3,15 @@
 
 #include "ip.h"
 
+#ifdef TLS
+# define IX_FQDN 1
+#endif
+
+#ifdef IX_FQDN
+struct ip_mx { struct ip_address ip; int pref; char *fqdn; } ;
+#else
 struct ip_mx { struct ip_address ip; int pref; } ;
+#endif
 
 #include "gen_alloc.h"
 
diff --speed-large-files --minimal -Nru tmp/netqmail-1.06/md5.h work/netqmail-1.06/md5.h
--- tmp/netqmail-1.06/md5.h	1969-12-31 18:00:00.000000000 -0600
+++ work/netqmail-1.06/md5.h	2016-05-06 14:30:55.000000000 -0500
@@ -0,0 +1,49 @@
+/* MD5.H - header file for MD5C.C
+ */
+
+/* Copyright (C) 1991-2, RSA Data Security, Inc. Created 1991. All
+   rights reserved.
+
+   License to copy and use this software is granted provided that it
+   is identified as the "RSA Data Security, Inc. MD5 Message-Digest
+   Algorithm" in all material mentioning or referencing this software
+   or this function.
+
+   License is also granted to make and use derivative works provided
+   that such works are identified as "derived from the RSA Data
+   Security, Inc. MD5 Message-Digest Algorithm" in all material
+   mentioning or referencing the derived work.  
+                                                                    
+   RSA Data Security, Inc. makes no representations concerning either
+   the merchantability of this software or the suitability of this
+   software for any particular purpose. It is provided "as is"
+   without express or implied warranty of any kind.  
+                                                                    
+   These notices must be retained in any copies of any part of this
+   documentation and/or software.  
+ */
+
+#ifndef _MD5_H_
+#define _MD5_H_ 1
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+/* MD5 context. */
+typedef struct {
+  UINT4 state[4];                                   /* state (ABCD) */
+  UINT4 count[2];        /* number of bits, modulo 2^64 (lsb first) */
+  unsigned char buffer[64];                         /* input buffer */
+} MD5_CTX;
+
+void MD5Init PROTO_LIST ((MD5_CTX *));
+void MD5Update PROTO_LIST
+  ((MD5_CTX *, unsigned char *, unsigned int));
+void MD5Final PROTO_LIST ((unsigned char [16], MD5_CTX *));
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif
